<?php namespace Romanah\Gokbakja\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateRomanahGokbakjaProductionMachine3 extends Migration
{
    public function up()
    {
        Schema::table('romanah_gokbakja_production_machine', function($table)
        {
            $table->integer('type_id')->nullable()->change();
            $table->integer('size_id')->nullable()->change();
            $table->integer('machine_id')->nullable()->change();
            $table->integer('employee_id')->nullable()->change();
            $table->integer('mechanic_id')->nullable()->change();
        });
    }
    
    public function down()
    {
        Schema::table('romanah_gokbakja_production_machine', function($table)
        {
            $table->integer('type_id')->nullable(false)->change();
            $table->integer('size_id')->nullable(false)->change();
            $table->integer('machine_id')->nullable(false)->change();
            $table->integer('employee_id')->nullable(false)->change();
            $table->integer('mechanic_id')->nullable(false)->change();
        });
    }
}
